Package wx :: Class PrintDialogData

[frames | no frames]

## Type PrintDialogData

    object --+
             |
        Object --+
                 |
                PrintDialogData

Proxy of C++ PrintDialogData class

Method Summary
PrintDialogData | ``__init__`(self)` __init__(self, PrintData printData) -> PrintDialogData __init__(self, PrintDialogData printData) -> PrintDialogData
| `__del__(self)`
| `__nonzero__(self)`
| `EnableHelp(self, flag)`
| `EnablePageNumbers(self, flag)`
| `EnablePrintToFile(self, flag)`
| `EnableSelection(self, flag)`
bool | `GetAllPages(self)`
bool | `GetCollate(self)`
bool | `GetEnableHelp(self)`
bool | `GetEnablePageNumbers(self)`
bool | `GetEnablePrintToFile(self)`
bool | `GetEnableSelection(self)`
int | `GetFromPage(self)`
int | `GetMaxPage(self)`
int | `GetMinPage(self)`
int | `GetNoCopies(self)`
PrintData | `GetPrintData(self)`
bool | `GetPrintToFile(self)`
bool | `GetSelection(self)`
int | `GetToPage(self)`
bool | `IsOk(self)`
bool | `Ok(self)`
| `SetAllPages(self, flag)`
| `SetCollate(self, flag)`
| `SetFromPage(self, v)`
| `SetMaxPage(self, v)`
| `SetMinPage(self, v)`
| `SetNoCopies(self, v)`
| `SetPrintData(self, printData)`
| `SetPrintToFile(self, flag)`
| `SetSelection(self, flag)`
| `SetToPage(self, v)`

Property Summary
| `AllPages`: See `GetAllPages` and `SetAllPages`
| `Collate`: See `GetCollate` and `SetCollate`
| `FromPage`: See `GetFromPage` and `SetFromPage`
| `MaxPage`: See `GetMaxPage` and `SetMaxPage`
| `MinPage`: See `GetMinPage` and `SetMinPage`
| `NoCopies`: See `GetNoCopies` and `SetNoCopies`
| `PrintData`: See `GetPrintData` and `SetPrintData`
| `PrintToFile`: See `GetPrintToFile` and `SetPrintToFile`
| `Selection`: See `GetSelection` and `SetSelection`
| `thisown`: The membership flag
| `ToPage`: See `GetToPage` and `SetToPage`

Method Details

### __init__(self)
(Constructor)

__init__(self, PrintData printData) -> PrintDialogData __init__(self, PrintDialogData printData) -> PrintDialogData

  Returns:
    PrintDialogData
  Overrides:
    `wx.Object.__init__`

Property Details

### AllPages

See `GetAllPages` and `SetAllPages`

  Get Method:
    `GetAllPages`(self)
  Set Method:
    `SetAllPages`(self, flag)

### Collate

See `GetCollate` and `SetCollate`

  Get Method:
    `GetCollate`(self)
  Set Method:
    `SetCollate`(self, flag)

### FromPage

See `GetFromPage` and `SetFromPage`

  Get Method:
    `GetFromPage`(self)
  Set Method:
    `SetFromPage`(self, v)

### MaxPage

See `GetMaxPage` and `SetMaxPage`

  Get Method:
    `GetMaxPage`(self)
  Set Method:
    `SetMaxPage`(self, v)

### MinPage

See `GetMinPage` and `SetMinPage`

  Get Method:
    `GetMinPage`(self)
  Set Method:
    `SetMinPage`(self, v)

### NoCopies

See `GetNoCopies` and `SetNoCopies`

  Get Method:
    `GetNoCopies`(self)
  Set Method:
    `SetNoCopies`(self, v)

### PrintData

See `GetPrintData` and `SetPrintData`

  Get Method:
    `GetPrintData`(self)
  Set Method:
    `SetPrintData`(self, printData)

### PrintToFile

See `GetPrintToFile` and `SetPrintToFile`

  Get Method:
    `GetPrintToFile`(self)
  Set Method:
    `SetPrintToFile`(self, flag)

### Selection

See `GetSelection` and `SetSelection`

  Get Method:
    `GetSelection`(self)
  Set Method:
    `SetSelection`(self, flag)

### thisown

The membership flag

### ToPage

See `GetToPage` and `SetToPage`

  Get Method:
    `GetToPage`(self)
  Set Method:
    `SetToPage`(self, v)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:25 2007 | http://epydoc.sf.net